Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.komponenten
Class Zeichenbereich

    java.lang.Object
      sum.komponenten.Komponente
          sum.komponenten.Textkomponente
              sum.komponenten.Markierungskomponente
                  sum.komponenten.Textbereich
                      sum.komponenten.Zeichenbereich

All Implemented Interfaces:
  Serializable, ScrollPaneConstants

    public class Zeichenbereich

extends Textbereich
implements Serializable

Ein Zeichenbereich ist die zeichenorientierte Unterklasse des Textbereichs. Zeichenbereiche sind Editoren mit einer festen Breite und Hoehe. Sie reagieren auf Texteingaben und Mausklicks. Wenn etwas in einen Zeichenbereich getippt werden soll, muss es vorher mit einem Mausklick aktiviert werden, d.h. der Zeichenbereich muss den Fokus haben. Der Zeichenbereich ist zeichenorientiert. Fuer zeilenorientierte Bereiche sollte die Klasse Zeilenbereich benutzt werden.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek, Horst Hildebrecht
See Also:
  Serialized Form

Field Summary
`static String` | `NEUERABSATZ`

Fields inherited from class sum.komponenten.Textbereich
`hatScrollPane`

Fields inherited from class sum.komponenten.Textkomponente
`zAktuellFont, zSchriftArt, zSchriftGroesse, zSchriftStil`

Fields inherited from class sum.komponenten.Komponente
`hatComponent, kenntFenster`

Fields inherited from interface javax.swing.ScrollPaneConstants
`COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`

Constructor Summary
`Zeichenbereich(double pLinks, double pOben, double pBreite, double pHoehe, String pText)` Der Zeichenbereich wird erzeugt und enthaelt den uebergebenen Text.
`Zeichenbereich(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe, String pText)` Der Zeichenbereich wird erzeugt und enthaelt den uebergebenen Text.

Method Summary
`int` | `anzahl()` Die Anzahl der Zeichen im Zeichenbereich wird zurueckgegeben.
`protected void` | `bekommtFokus()` Der Zeichenbereich erhaelt den Fokus.
`void` | `fuegeEin(String pText, int pStelle)` Der Text pText wird an Position pStelle eingefuegt.
`void` | `haengeAn(char pZeichen)` Das Zeichen pZeichen wird ans Ende angehaengt.
`void` | `haengeAn(double pZahl)` Das Kommazahl pZahl wird am Ende angehaengt.
`void` | `haengeAn(int pZahl)` Das ganze Zahl pZahl wird am Ende angehaengt.
`void` | `haengeAn(String pText)` Der Text pText wird am Ende angehaengt.
`String` | `inhaltAlsText()` Der Text der Zeichenbereich wird als String zurueckgegeben.
`protected void` | `inhaltGeaendert()` Der Zeichenbereich reagiert auf Veraenderungen.
`boolean` | `istMarkiert()` Es wird zurueckgegeben, ob der Text markiert ist.
`void` | `loesche(int pAnfang, int pEnde)` Der durch die Parameter bestimmte Text wird geloescht.
`void` | `loescheAlles()` Der gesamte Text wird geloescht.
`void` | `loescheMarkierung()` Der markierte Text wird geloescht.
`void` | `markiereAlles()` Der gesamte Text wird markiert.
`void` | `markiereNichts()` Der gesamte Text wird nicht markiert.
`String` | `markierterInhalt()` Der im Textfeld markierte Text wird geliefert.
`protected void` | `markierungGeaendert()` Der Zeichenbereich reagiert auf Veraenderungen der Markierung.
`int` | `markierungsAnfang()` Es wird zurueckgegeben, von wo an der Text markiert ist.
`int` | `markierungsEnde()` Es wird zurueckgegeben, bis wohin der Text markiert ist.
`void` | `neuerAbsatz()` Ein neuer Absatz wird erzeugt.
`void` | `setzeBearbeiterInhaltGeaendert(String pBearbeiter)` Der Dienst zur Bearbeitung des InhaltGeaendert-Ereignisses in
`void` | `setzeBearbeiterMarkierungGeaendert(String pBearbeiter)` Der Dienst zur Bearbeitung des MarkierungGeaendert-Ereignisses in der Ereignisanwendung wird festgelegt.
`void` | `setzeInhalt(String pText)` Der Zeichenbereich erhaelt einen neuen Inhalt.
`void` | `setzeMarkierung(int pAnfang, int pEnde)` Der Text zwischen den Zeichen an Position pAnfang und pEnde wird markiert.
`String` | `teilinhalt(int pAnfang, int pEnde)` Der Inhalt des Zeichenbereichs von pAnfang bis pEnde wird als String zurueckgegeben.
`protected void` | `verliertFokus()` Der Zeichenbereich verliert den Fokus.

Methods inherited from class sum.komponenten.Textbereich
`lerneKomponenteKennen, setzeGroesse, setzePosition`

Methods inherited from class sum.komponenten.Markierungskomponente
`teilInhalt`

Methods inherited from class sum.komponenten.Textkomponente
`inhaltAlsGanzeZahl, inhaltAlsLangeGanzeZahl, inhaltAlsZahl, inhaltIstGanzeZahl, inhaltIstLangeGanzeZahl, inhaltIstText, inhaltIstZahl, init, schriftfarbe, schriftFarbe, setzeInhalt, setzeInhalt, setzeInhalt, setzeInhalt, setzeSchriftart, setzeSchriftArt, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftgroesse, setzeSchriftGroesse, setzeSchriftstil, setzeSchriftStil`

Methods inherited from class sum.komponenten.Komponente
`aktiviere, besitztFokus, breite, deaktiviere, farbe, fokusErhaltenBearbeiter, fokusVerlorenBearbeiter, gibFrei, hoehe, init, istAktiv, istSichtbar, links, oben, setzeBearbeiterFokusErhalten, setzeBearbeiterFokusVerloren, setzeFarbe, setzeFarbe, setzeFokus, setzeFokusWert, setzeHinweis, verstecke, zeige`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NEUERABSATZ

    public static final String NEUERABSATZ

See Also:
  Constant Field Values

Constructor Detail

### Zeichenbereich

    public Zeichenbereich(double pLinks,
                          double pOben,
                          double pBreite,
                          double pHoehe,
                          String pText)

  Der Zeichenbereich wird erzeugt und enthaelt den uebergebenen Text. Position, Breite und Hoehe werden als Parameter uebergeben. Der Zeichenbereich befindet sich auf dem Bildschirm.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pText` - der Inhalt der Komponente

### Zeichenbereich

    public Zeichenbereich(Fenster pFenster,
                          double pLinks,
                          double pOben,
                          double pBreite,
                          double pHoehe,
                          String pText)

  Der Zeichenbereich wird erzeugt und enthaelt den uebergebenen Text. Position, Breite und Hoehe werden als Parameter uebergeben. Der Zeichenbereich befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pText` - der Inhalt der Komponente

Method Detail

### anzahl

    public int anzahl()

  Die Anzahl der Zeichen im Zeichenbereich wird zurueckgegeben.

  Returns:
    die Anzahl der Zeichen der Komponente

### bekommtFokus

    protected void bekommtFokus()

  Der Zeichenbereich erhaelt den Fokus.

### fuegeEin

    public void fuegeEin(String pText,
                         int pStelle)

  Der Text pText wird an Position pStelle eingefuegt.

  Specified by:
    `fuegeEin` in class `Textbereich`
  Parameters:
    `pText` - der Text, der eingefuegt wird
    `pStelle` - die Stelle, wo der Text eingefuegt wird

### haengeAn

    public void haengeAn(char pZeichen)

  Das Zeichen pZeichen wird ans Ende angehaengt.

  Specified by:
    `haengeAn` in class `Textbereich`
  Parameters:
    `pZeichen` - das Zeichen, das ans Ende angehaengt wird

### haengeAn

    public void haengeAn(double pZahl)

  Das Kommazahl pZahl wird am Ende angehaengt.

  Specified by:
    `haengeAn` in class `Textbereich`
  Parameters:
    `pZahl` - die Zahl, die ans Ende angehaengt wird

### haengeAn

    public void haengeAn(int pZahl)

  Das ganze Zahl pZahl wird am Ende angehaengt.

  Specified by:
    `haengeAn` in class `Textbereich`
  Parameters:
    `pZahl` - die Zahl, die ans Ende angehaengt wird

### haengeAn

    public void haengeAn(String pText)

  Der Text pText wird am Ende angehaengt.

  Specified by:
    `haengeAn` in class `Textbereich`
  Parameters:
    `pText` - der Text, der ans Ende angehaengt wird

### inhaltAlsText

    public String inhaltAlsText()

  Der Text der Zeichenbereich wird als String zurueckgegeben.

  Specified by:
    `inhaltAlsText` in class `Textkomponente`
  Returns:
    der Inhalt der Komponente als Zeichenkette (String)

### inhaltGeaendert

    protected void inhaltGeaendert()

  Der Zeichenbereich reagiert auf Veraenderungen.

### istMarkiert

    public boolean istMarkiert()

  Es wird zurueckgegeben, ob der Text markiert ist.

  Specified by:
    `istMarkiert` in class `Markierungskomponente`
  Returns:
    true, wenn Text markiert ist

### loesche

    public void loesche(int pAnfang,
                        int pEnde)

  Der durch die Parameter bestimmte Text wird geloescht.

  Specified by:
    `loesche` in class `Markierungskomponente`
  Parameters:
    `pAnfang` - erste Zeichenposition
    `pEnde` - letzte Zeichenposition

### loescheAlles

    public void loescheAlles()

  Der gesamte Text wird geloescht.

  Overrides:
    `loescheAlles` in class `Markierungskomponente`

### loescheMarkierung

    public void loescheMarkierung()

  Der markierte Text wird geloescht.

  Specified by:
    `loescheMarkierung` in class `Markierungskomponente`

### markiereAlles

    public void markiereAlles()

  Der gesamte Text wird markiert.

  Specified by:
    `markiereAlles` in class `Markierungskomponente`

### markiereNichts

    public void markiereNichts()

  Der gesamte Text wird nicht markiert.

  Specified by:
    `markiereNichts` in class `Markierungskomponente`

### markierterInhalt

    public String markierterInhalt()

  Der im Textfeld markierte Text wird geliefert.

  Specified by:
    `markierterInhalt` in class `Markierungskomponente`
  Returns:
    der markierte Text

### markierungGeaendert

    protected void markierungGeaendert()

  Der Zeichenbereich reagiert auf Veraenderungen der Markierung.

  Specified by:
    `markierungGeaendert` in class `Markierungskomponente`

### markierungsAnfang

    public int markierungsAnfang()

  Es wird zurueckgegeben, von wo an der Text markiert ist.

  Specified by:
    `markierungsAnfang` in class `Markierungskomponente`
  Returns:
    die erste markierte Position

### markierungsEnde

    public int markierungsEnde()

  Es wird zurueckgegeben, bis wohin der Text markiert ist.

  Specified by:
    `markierungsEnde` in class `Markierungskomponente`
  Returns:
    die letzte markierte Position

### neuerAbsatz

    public void neuerAbsatz()

  Ein neuer Absatz wird erzeugt.

### setzeBearbeiterInhaltGeaendert

    public void setzeBearbeiterInhaltGeaendert(String pBearbeiter)

  Der Dienst zur Bearbeitung des InhaltGeaendert-Ereignisses in

  Overrides:
    `setzeBearbeiterInhaltGeaendert` in class `Markierungskomponente`
  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn der Inhalt der Komponente geaendert wurde. der Ereignisanwendung wird festgelegt.

### setzeBearbeiterMarkierungGeaendert

    public void setzeBearbeiterMarkierungGeaendert(String pBearbeiter)

  Der Dienst zur Bearbeitung des MarkierungGeaendert-Ereignisses in der Ereignisanwendung wird festgelegt.

  Overrides:
    `setzeBearbeiterMarkierungGeaendert` in class `Markierungskomponente`
  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn die Markierung der Komponente geaendert wurde.

### setzeInhalt

    public void setzeInhalt(String pText)

  Der Zeichenbereich erhaelt einen neuen Inhalt.

  Specified by:
    `setzeInhalt` in class `Textkomponente`
  Parameters:
    `pText` - der Text, der als neuer Inhalt gesetzt wird

### setzeMarkierung

    public void setzeMarkierung(int pAnfang,
                                int pEnde)

  Der Text zwischen den Zeichen an Position pAnfang und pEnde wird markiert.

  Specified by:
    `setzeMarkierung` in class `Markierungskomponente`
  Parameters:
    `pAnfang` - erste Zeichenposition
    `pEnde` - letzte Zeichenposition

### teilinhalt

    public String teilinhalt(int pAnfang,
                             int pEnde)

  Der Inhalt des Zeichenbereichs von pAnfang bis pEnde wird als String zurueckgegeben.

  Specified by:
    `teilinhalt` in class `Markierungskomponente`
  Parameters:
    `pAnfang` - erste Zeichenposition
    `pEnde` - letzte Zeichenposition
  Returns:
    der Inhalt in den gewaehlten Zeilen der Komponente als Zeichenkette (String)

### verliertFokus

    protected void verliertFokus()

  Der Zeichenbereich verliert den Fokus.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD